## THREADCALL Call Function In A Thread

Section: FreeMat Threads

### Usage

The `threadcall` function is a convenience function for executing a function call in a thread. The syntax for its use is

       [val1,...,valn] = threadcall(threadid,timeout,funcname,arg1,arg2,...)

where `threadid` is the ID of the thread (as returned by the `threadnew` function), `funcname` is the name of the function to call, and `argi` are the arguments to the function, and `timeout` is the amount of time (in milliseconds) that the function is allowed to take.

### Example

Here is an example of executing a simple function in a different thread.

    --> id = threadnew

    id =

     3

    --> d = threadcall(id,1000,'cos',1.02343)

    d =

        0.5204

    --> threadfree(id)
    -->
    quit